## AnjutaSavePrompt

AnjutaSavePrompt — Save dialog prompt for unsaved data

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/anjuta-save-prompt.h>

                        AnjutaSavePrompt;
                        AnjutaSavePromptPrivate;
                        AnjutaSavePromptClass;
    gboolean            (*AnjutaSavePromptSaveFunc)         (AnjutaSavePrompt *save_prompt,
                                                             gpointer item,
                                                             gpointer user_data);
    AnjutaSavePrompt *  anjuta_save_prompt_new              (GtkWindow *parent);
    gint                anjuta_save_prompt_get_items_count  (AnjutaSavePrompt *save_prompt);
    void                anjuta_save_prompt_add_item         (AnjutaSavePrompt *save_prompt,
                                                             const gchar *item_name,
                                                             const gchar *item_detail,
                                                             gpointer item,
                                                             AnjutaSavePromptSaveFunc item_save_func,
                                                             gpointer user_data);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----GtkMessageDialog
                                                       +----AnjutaSavePrompt

## Implemented Interfaces

AnjutaSavePrompt implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### AnjutaSavePrompt

    typedef struct _AnjutaSavePrompt AnjutaSavePrompt;

### AnjutaSavePromptPrivate

    typedef struct _AnjutaSavePromptPrivate AnjutaSavePromptPrivate;

### AnjutaSavePromptClass

    typedef struct {
    	GtkMessageDialogClass parent_class;
    	/* Add Signal Functions Here */
    } AnjutaSavePromptClass;

### AnjutaSavePromptSaveFunc ()

    gboolean            (*AnjutaSavePromptSaveFunc)         (AnjutaSavePrompt *save_prompt,
                                                             gpointer item,
                                                             gpointer user_data);

`save_prompt` : |
`item` : |
`user_data` : |
Returns : |

### anjuta_save_prompt_new ()

    AnjutaSavePrompt *  anjuta_save_prompt_new              (GtkWindow *parent);

`parent` : |
Returns : |

### anjuta_save_prompt_get_items_count ()

    gint                anjuta_save_prompt_get_items_count  (AnjutaSavePrompt *save_prompt);

`save_prompt` : |
Returns : |

### anjuta_save_prompt_add_item ()

    void                anjuta_save_prompt_add_item         (AnjutaSavePrompt *save_prompt,
                                                             const gchar *item_name,
                                                             const gchar *item_detail,
                                                             gpointer item,
                                                             AnjutaSavePromptSaveFunc item_save_func,
                                                             gpointer user_data);

`save_prompt` : |
`item_name` : |
`item_detail` : |
`item` : |
`item_save_func` : |
`user_data` : |